CREATE ROLE sedaq NOSUPERUSER LOGIN ENCRYPTED PASSWORD 'batman';
CREATE DATABASE "db-training" OWNER sedaq;
GRANT CONNECT ON DATABASE "db-training" TO sedaq;
GRANT ALL PRIVILEGES ON DATABASE "db-training" TO sedaq;
\connect "db-training";
CREATE SCHEMA IF NOT EXISTS bds AUTHORIZATION sedaq;
GRANT USAGE ON SCHEMA bds TO sedaq;
DROP SCHEMA IF EXISTS public CASCADE;
-- privileges configuration (also for subsequently-created tables)
ALTER DEFAULT PRIVILEGES IN SCHEMA bds GRANT SELECT, INSERT, UPDATE, DELETE, REFERENCES, TRIGGER ON TABLES TO sedaq;
ALTER DEFAULT PRIVILEGES IN SCHEMA bds GRANT ALL PRIVILEGES ON SEQUENCES TO sedaq;
